<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="it">
<head>
<!-- Generated by javadoc (1.8.0_181) on Sat Nov 10 15:43:02 CET 2018 -->
<title>RangeElement</title>
<meta name="date" content="2018-11-10">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RangeElement";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../aggregations/bucketaggs/RangeAggregation.html" title="class in aggregations.bucketaggs"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../aggregations/bucketaggs/TermsAggregation.html" title="class in aggregations.bucketaggs"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?aggregations/bucketaggs/RangeElement.html" target="_top">Frames</a></li>
<li><a href="RangeElement.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">aggregations.bucketaggs</div>
<h2 title="Class RangeElement" class="title">Class RangeElement</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>aggregations.bucketaggs.RangeElement</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">RangeElement</span>
extends java.lang.Object</pre>
<div class="block">Represents a ranges element for a range aggregation</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../aggregations/bucketaggs/RangeElement.html#RangeElement--">RangeElement</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../aggregations/bucketaggs/RangeElement.html#RangeElement-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">RangeElement</a></span>(java.lang.String&nbsp;from,
            java.lang.String&nbsp;to,
            java.lang.String&nbsp;key,
            java.lang.String&nbsp;mask)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aggregations/bucketaggs/RangeElement.html#setRange-org.elasticsearch.search.aggregations.bucket.range.DateRangeAggregationBuilder-">setRange</a></span>(org.elasticsearch.search.aggregations.bucket.range.DateRangeAggregationBuilder&nbsp;range)</code>
<div class="block">Sets range element for a date_range aggregation</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aggregations/bucketaggs/RangeElement.html#setRange-org.elasticsearch.search.aggregations.bucket.range.IpRangeAggregationBuilder-">setRange</a></span>(org.elasticsearch.search.aggregations.bucket.range.IpRangeAggregationBuilder&nbsp;range)</code>
<div class="block">Sets range element for a ip_range aggregation</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aggregations/bucketaggs/RangeElement.html#setRange-org.elasticsearch.search.aggregations.bucket.range.RangeAggregationBuilder-">setRange</a></span>(org.elasticsearch.search.aggregations.bucket.range.RangeAggregationBuilder&nbsp;range)</code>
<div class="block">Sets range element for a range aggregation</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="RangeElement--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RangeElement</h4>
<pre>public&nbsp;RangeElement()</pre>
</li>
</ul>
<a name="RangeElement-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>RangeElement</h4>
<pre>public&nbsp;RangeElement(java.lang.String&nbsp;from,
                    java.lang.String&nbsp;to,
                    java.lang.String&nbsp;key,
                    java.lang.String&nbsp;mask)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setRange-org.elasticsearch.search.aggregations.bucket.range.RangeAggregationBuilder-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRange</h4>
<pre>public&nbsp;void&nbsp;setRange(org.elasticsearch.search.aggregations.bucket.range.RangeAggregationBuilder&nbsp;range)
              throws <a href="../../aggregations/AggregationException.html" title="class in aggregations">AggregationException</a></pre>
<div class="block">Sets range element for a range aggregation</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>range</code> - the range aggregation</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../aggregations/AggregationException.html" title="class in aggregations">AggregationException</a></code> - if from/to fields are not integers</dd>
</dl>
</li>
</ul>
<a name="setRange-org.elasticsearch.search.aggregations.bucket.range.DateRangeAggregationBuilder-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRange</h4>
<pre>public&nbsp;void&nbsp;setRange(org.elasticsearch.search.aggregations.bucket.range.DateRangeAggregationBuilder&nbsp;range)</pre>
<div class="block">Sets range element for a date_range aggregation</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>range</code> - the date_range aggregation</dd>
</dl>
</li>
</ul>
<a name="setRange-org.elasticsearch.search.aggregations.bucket.range.IpRangeAggregationBuilder-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setRange</h4>
<pre>public&nbsp;void&nbsp;setRange(org.elasticsearch.search.aggregations.bucket.range.IpRangeAggregationBuilder&nbsp;range)</pre>
<div class="block">Sets range element for a ip_range aggregation</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>range</code> - the ip_range aggregation</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../aggregations/bucketaggs/RangeAggregation.html" title="class in aggregations.bucketaggs"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../aggregations/bucketaggs/TermsAggregation.html" title="class in aggregations.bucketaggs"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?aggregations/bucketaggs/RangeElement.html" target="_top">Frames</a></li>
<li><a href="RangeElement.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
